Bug 1446816 - [abrt] ibus: XkbUseExtension(): ibus-ui-gtk3 killed by signal 11
Summary: [abrt] ibus: XkbUseExtension(): ibus-ui-gtk3 killed by signal 11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6cf3031918c31db8b2022a629fb...
: 1417814 1475684 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-29 03:20 UTC by Claudio Rimmele
Modified: 2017-08-17 03:21 UTC (History)
7 users (show)

Fixed In Version: ibus-1.5.16-6.fc26 ibus-1.5.14-6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 06:24:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.95 KB, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: cgroup (321 bytes, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: core_backtrace (11.15 KB, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: dso_list (9.86 KB, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: environ (774 bytes, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: exploitable (110 bytes, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: limits (1.29 KB, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: maps (35.37 KB, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: open_fds (1.10 KB, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details
File: var_log_messages (316 bytes, text/plain)
2017-04-29 03:20 UTC, Claudio Rimmele
no flags Details

Description Claudio Rimmele 2017-04-29 03:20:14 UTC
Version-Release number of selected component:
ibus-1.5.15-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: XkbUseExtension
executable:     /usr/libexec/ibus-ui-gtk3
journald_cursor: s=6eff262bc93a4d7fb688b7252e86fec6;i=1dfe1;b=d9494cdadf8b4ff19f3444b04890d6fa;m=3b09a88c;t=54e45a211f699;x=285732938627f19c
kernel:         4.11.0-0.rc3.git0.2.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XkbUseExtension at XKBUse.c:652
 #1 _XkbLoadDpy at XKBBind.c:513
 #2 XKeysymToKeycode at XKBBind.c:157
 #3 keybinding_manager_bind at keybindingmanager.c:211
 #4 panel_keybinding_manager_bind at panel.c:1525
 #5 panel_bind_switch_shortcut at panel.c:1611
 #6 panel_construct at panel.c:830
 #7 application_bus_name_acquired_cb at application.c:220
 #8 _application_bus_name_acquired_cb_gd_bus_signal_callback at application.c:166
 #9 emit_signal_instance_in_idle_cb at gdbusconnection.c:3719

Potential duplicate: bug 1249327

Comment 1 Claudio Rimmele 2017-04-29 03:20:23 UTC
Created attachment 1275096 [details]
File: backtrace

Comment 2 Claudio Rimmele 2017-04-29 03:20:25 UTC
Created attachment 1275097 [details]
File: cgroup

Comment 3 Claudio Rimmele 2017-04-29 03:20:27 UTC
Created attachment 1275098 [details]
File: core_backtrace

Comment 4 Claudio Rimmele 2017-04-29 03:20:29 UTC
Created attachment 1275099 [details]
File: cpuinfo

Comment 5 Claudio Rimmele 2017-04-29 03:20:32 UTC
Created attachment 1275100 [details]
File: dso_list

Comment 6 Claudio Rimmele 2017-04-29 03:20:34 UTC
Created attachment 1275101 [details]
File: environ

Comment 7 Claudio Rimmele 2017-04-29 03:20:35 UTC
Created attachment 1275102 [details]
File: exploitable

Comment 8 Claudio Rimmele 2017-04-29 03:20:37 UTC
Created attachment 1275103 [details]
File: limits

Comment 9 Claudio Rimmele 2017-04-29 03:20:40 UTC
Created attachment 1275104 [details]
File: maps

Comment 10 Claudio Rimmele 2017-04-29 03:20:42 UTC
Created attachment 1275105 [details]
File: open_fds

Comment 11 Claudio Rimmele 2017-04-29 03:20:44 UTC
Created attachment 1275106 [details]
File: proc_pid_status

Comment 12 Claudio Rimmele 2017-04-29 03:20:46 UTC
Created attachment 1275107 [details]
File: var_log_messages

Comment 13 Jaroslav Škarvada 2017-07-24 10:26:32 UTC
Similar problem has been detected:

Just booted the machine.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: XkbUseExtension
executable:     /usr/libexec/ibus-ui-gtk3
journald_cursor: s=ebf0271d1eb543f4abb6d931abf8fa89;i=d126;b=e4db2b625be14e858ea2472b8b9224c4;m=2a3476d;t=5550d8b14db00;x=ea87ba54e3d01a07
kernel:         4.11.11-300.fc26.x86_64
package:        ibus-1.5.16-3.fc26
reason:         ibus-ui-gtk3 killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Erwan Legrand 2017-07-27 07:38:09 UTC
*** Bug 1475684 has been marked as a duplicate of this bug. ***

Comment 15 fujiwara 2017-07-27 07:48:00 UTC
I decided to run ibus-ui-gtk3 with x11 backend only at the moment.
Fixed in f25 or later.

Comment 16 Fedora Update System 2017-07-27 07:52:44 UTC
ibus-1.5.14-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 17 Fedora Update System 2017-07-27 07:53:11 UTC
ibus-1.5.16-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 18 Fedora Update System 2017-07-27 23:23:37 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 19 Fedora Update System 2017-07-28 01:52:55 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 20 Fedora Update System 2017-07-31 06:24:59 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-08-01 21:55:33 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 fujiwara 2017-08-17 03:21:45 UTC
*** Bug 1417814 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.